%define name		xmlrpc-c
%define version		1.06.27
%define release		%mkrel 5

%define	major		3
%define libname		%mklibname %name %major
%define develname	%mklibname -d %name

Name:		%name
Summary:	Programming library for writing an XML-RPC server or client in C or C++
Version:	%version
Release:	%release
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://xmlrpc-c.sourceforge.net/
License:	BSD like
Group:		System/Libraries
Source:		xmlrpc-%{version}.tgz
Patch1:		%{name}_fpic.patch
Patch2:		xmlrpc-c-1.06.27-curl-easy-setopt.patch
Patch3:		xmlrpc-c-1.06.09-asneeded.patch
Patch4:		xmlrpc-c-1.06.27-abyss-header-fixup.patch
Patch5:		xmlrpc-c-1.06.27-gcc43-test-fix.patch
BuildRequires:	curl-devel libxml2-devel
Conflicts:	%mklibname %name

%description
XML-RPC is a quick-and-easy way to make procedure calls over the Internet.
It converts the procedure call into XML document, sends it to a remote
server using HTTP, and gets back the response as XML.

This library provides a modular implementation of XML-RPC for C and C++.


%package -n %{libname}
Summary:	Programming library for writing an XML-RPC server or client in C or C++
Group:		System/Libraries
Obsoletes:	%mklibname %name

%package -n %{develname}
Summary:	Programming library for writing an XML-RPC server or client in C or C++
Group:		System/Libraries
Requires:	%{libname} = %version-%release
Requires:	libxml2-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%name < 1.06.27-2
Conflicts:	%mklibname %name

%description -n %{libname}
XML-RPC is a quick-and-easy way to make procedure calls over the Internet.
It converts the procedure call into XML document, sends it to a remote
server using HTTP, and gets back the response as XML.

This library provides a modular implementation of XML-RPC for C and C++.

%description -n %{develname}
XML-RPC is a quick-and-easy way to make procedure calls over the Internet.
It converts the procedure call into XML document, sends it to a remote
server using HTTP, and gets back the response as XML.

This library provides a modular implementation of XML-RPC for C and C++.

This package contains the devlopement files.

%prep
%setup -q 
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

aclocal --force
libtoolize --force
autoconf

%build
%configure2_5x \
	--disable-wininet-client --enable-libxml2-backend \
	--disable-libwww-client --enable-curl-client
make CFLAGS_COMMON="-DNDEBUG -fno-common %{optflags} -O3" CXXFLAGS_COMMON="-DNDEBUG -fPIC %{optflags} -O3"

%clean
%{__rm} -Rf %{buildroot}

%install
rm -fr %buildroot
%makeinstall_std

%files
%defattr(-,root,root)
%doc doc/COPYING doc/CREDITS doc/DEVELOPING doc/HISTORY doc/SECURITY doc/TESTING doc/TODO
%{_bindir}/xmlrpc
%{_bindir}/xmlrpc_transport

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_bindir}/xmlrpc-c-config
%{_includedir}/*.h
%{_includedir}/%name
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so



%changelog
* Thu Jan 22 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.06.27-5mdv2009.1
+ Revision: 332399
- don't modify Makefile.common for setting %%{optflags}, override the variables by
  passing them to 'make', also compile with -O3 which is suggsted by the default
  compile flags
- ensure that libtool and friends gets updated, otherwise ancient libtool will
  be used, resulting in inability to link against correct libraries, thus leaving
  the build completely broken

* Wed Jan 21 2009 Helio Chissini de Castro <helio@mandriva.com> 1.06.27-4mdv2009.1
+ Revision: 332216
- Rraise release to recompile and solve xml2 linking issues in the library

* Sun Sep 07 2008 Gaëtan Lehmann <glehmann@mandriva.org> 1.06.27-3mdv2009.0
+ Revision: 282075
- * rebuild for new libxml2
  * devel package requires libxml2-devel

* Sun Jul 13 2008 Funda Wang <fundawang@mandriva.org> 1.06.27-2mdv2009.0
+ Revision: 234252
- move xmlrpc-c-config into devel package

* Sun Jul 13 2008 Funda Wang <fundawang@mandriva.org> 1.06.27-1mdv2009.0
+ Revision: 234251
- BR xml2
- fix typo of develname
- use own optflags
- New version 1.06.27
- merge gentoo patches

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Nicolas Vigier <nvigier@mandriva.com>
    - add Provides on libxmlrpc-c-devel

* Wed May 23 2007 Nicolas Vigier <nvigier@mandriva.com> 1.06.14-1mdv2008.0
+ Revision: 30032
- Update to version 1.06.14

* Wed May 09 2007 Nicolas Vigier <nvigier@mandriva.com> 1.06.13-1mdv2008.0
+ Revision: 25644
- Import xmlrpc-c

